Skip to navigation

Get Order

Retrieves limited information for a specific order based on the bcOrderId provided. The response includes the same fields as the Get All Orders endpoint, including B2B extra fields and PO numbers.

The bcOrderId parameter must include a valid BigCommerce Order ID (not the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

bcOrderIdintegerRequired
The BigCommerce order ID.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error